This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 274261 - drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 All
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 22:01 EDT by Robert Scheck
Modified: 2008-07-27 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-27 10:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-01 22:01:27 EDT
Description of problem:
Dmesg output contains the line:

drivers/rtc/hctosys.c: unable to open rtc device (rtc0)

In addition, ntp has to correct the clock very often and to re-sync more often 
now - IMHO this problem is related to this rtc thing.

Version-Release number of selected component (if applicable):
kernel-2.6.23-0.157.rc4.git2

How reproducible:
Every time for me.

Actual results:
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)

Expected results:
No error and no such obvious results regarding ntp.
Comment 1 Chuck Ebbert 2007-09-07 11:03:34 EDT
rtc is not used for timekeeping. Check what clocksource you are using, in
/sys/devices/system/clocksource/clocksource0/current_clocksource.

Then try a different one from the list in available_clocksource:
# echo [put new name here] >current_clocksource

acpi_pm should give the most stable result.
Comment 2 Robert Scheck 2007-09-07 11:06:05 EDT
"tsc" is the current one. How is selected which clocksource gets used? Finally, 
shouldn't the rtc0 error get fixed?
Comment 3 Chuck Ebbert 2007-09-07 11:15:09 EDT
clocksource selection doesn't work as well as it should on some hardware. You
can add "clocksource=acpi_pm" to the kernel boot options if that one works better.
Comment 4 Bug Zapper 2008-04-04 09:44:09 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Robert Scheck 2008-07-27 10:38:20 EDT
Doesn't seem to show up with rawhide any longer.

Note You need to log in before you can comment on or make changes to this bug.